Subject: [bug#77398] [PATCH] gnu: xrdp: Update to 0.10.3, xorgxrdp: Update to 0.10.4.

From: Andy Tai <[email-masked]>
Date: Tue, 1 Apr 2025 14:40:04 -0700

OK I will take a look.  I think xrdp switched to fuse 3 in this release...
I need to check if 32-bit support is dropped

On Tue, Apr 1, 2025 at 4:04 AM Andreas Enge <[email-masked]> wrote:

> Hello Andy,
>
> the patch fails on 32 bit according to QA:
>
> https://qa.guix.gnu.org/issue/77398/package-changes?i686-linux-change=broken&i686-linux-change=still-failing&i686-linux-change=unknown-to-failing&i686-linux-change=new-failing
>
> The somewhat surprising error message in
>
> https://bordeaux.guix.gnu.org/build/cb17cf76-2ea0-4a1e-b19f-2f7220cc4a8a/log
> is:
> In file included from
> /gnu/store/83yp83mwzvdqn0qhr7hvs5cvizrcf76a-fuse-3.10.5/include/fuse3/fuse_lowlevel.h:25,
>                  from chansrv_fuse.c:155:
> /gnu/store/83yp83mwzvdqn0qhr7hvs5cvizrcf76a-fuse-3.10.5/include/fuse3/fuse_common.h:853:1:
> error: static assertion failed: "fuse: off_t must be 64bit"
>   853 | _Static_assert(sizeof(off_t) == 8, "fuse: off_t must be 64bit");
>
> Does this mean that fuse@3 only works on 64 bit platforms?
> In any case, going back to fuse@2 will probably solve the problem.
>
> Then I would suggest to write two commits for the two separate projects.
>
> Thanks!
>
> Andreas
>
>

-- 
Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat:
andytai1010
Year 2025 民國114年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能